/*+-------------------------------------------------------------------------
	ecufkey.h -- AT XENIX/UNIX function key phrases
	wht@n4hgf.Mt-Park.GA.US
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:07-25-1991-12:55-wht@n4hgf-ECU release 3.10 */
/*:08-14-1990-20:40-wht@n4hgf-ecu3.00-flush old edit history */

/*
 * indices to key mapping tables
 *
 * these are close to being magic numbers - don't change w/o looking
 * at KDEk_to_XF in ecutty.c
 */
#define KDEk_F1			0
#define KDEk_F2			1
#define KDEk_F3			2
#define KDEk_F4			3
#define KDEk_F5			4
#define KDEk_F6			5
#define KDEk_F7			6
#define KDEk_F8			7
#define KDEk_F9			8
#define KDEk_F10		9
#define KDEk_F11		10
#define KDEk_F12		11
#define KDEk_CUU		12
#define KDEk_CUD		13
#define KDEk_CUL		14
#define KDEk_CUR		15
#define KDEk_CU5		16
#define KDEk_PGUP		17
#define KDEk_PGDN		18
#define KDEk_END		19
#define KDEk_INS		20
#define KDEk_BKTAB		21
#define KDEk_HOME		22
#define KDEk_InitStr	23		/* initialization string kludge */

#define KDE_COUNT		24

#define KDE_LOGICAL_MAX		12
#define KDE_OUTSTR_MAX		32

#define KDEt_NAME		1
#define KDEt_ENTRY		2
#define KDEt_COMMENT	3
#define KDEt_EOF		4

typedef struct kde
{
	char logical[KDE_LOGICAL_MAX];
	uchar KDEt;
	char count;
	char str[KDE_OUTSTR_MAX];
}	KDE;

/* when a count is not a count but an action: */
#define KACT_COMMAND			-1
#define KACT_LOCAL_SHELL		-2
#define KACT_REDISPLAY			-3

typedef struct XF_KDE_NAME
{
	uchar xf;
	char kde;
	char *name;
}	XF_KDE_NAME;

/* vi: set tabstop=4 shiftwidth=4: */
/* end of ecufkey.h */
