/*+-----------------------------------------------------------------------
	ecuusage.c - user admonishment
	wht@n4hgf.Mt-Park.GA.US

  Defined functions:
	general_usage(uptr)
	log_cmd_usage()
	usage()

------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:07-25-1991-12:57-wht@n4hgf-ECU release 3.10 */
/*:07-04-1991-19:43-wht@n4hgf-use pputs instead of fputs to se */
/*:04-27-1991-01:52-wht@n4hgf-overhaul revision numbers */
/*:08-14-1990-20:40-wht@n4hgf-ecu3.00-flush old edit history */

#include <stdio.h>
#include "termecu.h"
#define ff fprintf
#define se stderr

extern char *makedate;			/* temporary make date */
extern char *revstr;	/* ecunumrev.c */

char *usage_text[] = 
{
"usage: ecu [-l /dev/tty<ttynum>] [-b <baud_rate>] [-e] [-o] [-d]\n",
"           [-c <filename>] [-h] [-k] [-t] [-v[vv...]]\n",
"           [-p <initial_proc> | <phone_number>]\n",
"Default: 2400,N,8 (use -e for even parity, -o for odd 7 data bits)\n",
"-c <filename> use this file rather than ~/.ecumodem\n",
"-h half duplex ... default is full duplex\n",
"-v verbosity ... the more 'v's the more verbosity.\n",
"-d stop execution if -p initial procedure fails\n",
"-D unconditionally stop execution when -p initial procedure is done\n",
"\n",
"For a list of built in commands, type HOME?<ENTER> once program started\n",
"\n",
"For access to line with no dialing try: ecu - [-eosv]\n",
"However, program default line may be busy or not exist\n",
	(char *)0		/* terminated with null pointer */
};

char *log_cmd_usage_text[] = 
{
"Usage: log [-s] [-r] <filename>\n",
"       log off   turn logging off\n",
" -s scratch any previous contents of <filename>, else append\n",
" -r raw log, else drop 0x00-0x08,0x11-0x1F,0x7F-0xFF\n",
	(char *)0		/* terminated with null pointer */
};

/*+-----------------------------------------------------------------------
	general_usage(uptr)
------------------------------------------------------------------------*/
void
general_usage(uptr)
register char **uptr;
{
	while(*uptr != (char *)0)
		pputs(*(uptr++));
}	/* end of usage */

/*+-----------------------------------------------------------------------
	usage()
------------------------------------------------------------------------*/
void
usage()
{
	ff(se,"ecu %s made: %s\n",revstr,makedate);
	general_usage(usage_text);
	termecu(TERMECU_USAGE);
	/*NOTREACHED*/
}

/*+-------------------------------------------------------------------------
	log_cmd_usage()
--------------------------------------------------------------------------*/
void
log_cmd_usage()
{
	general_usage(log_cmd_usage_text);
}	/* end of log_cmd_usage */

/* vi: set tabstop=4 shiftwidth=4: */
